hpp-corbaserver: Names_t_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
Names_t_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| Names_t_var ()
| Names_t_var (Names_t *_s)
| Names_t_var (const Names_t_var &_s)
| ~Names_t_var ()
Names_t_var & | operator= (Names_t *_s)
Names_t_var & | operator= (const Names_t_var &_s)
_CORBA_String_element | operator[] (_CORBA_ULong _s)
Names_t * | operator-> ()
const Names_t * | operator-> () const
| operator const Names_t & () const
| operator Names_t & ()
const Names_t & | in () const
Names_t & | inout ()
Names_t *& | out ()
Names_t * | _retn ()

## Friends
class | Names_t_out

## Constructor & Destructor Documentation

## ◆ Names_t_var() [1/3]

Names_t_var::Names_t_var | ( |  | ) |
| inline

## ◆ Names_t_var() [2/3]

Names_t_var::Names_t_var | ( | Names_t * | _s | ) |
| inline

## ◆ Names_t_var() [3/3]

Names_t_var::Names_t_var | ( | const Names_t_var & | _s | ) |
| inline

## ◆ ~Names_t_var()

Names_t_var::~Names_t_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

Names_t * Names_t_var::_retn | ( |  | ) |
| inline

## ◆ in()

const Names_t & Names_t_var::in | ( |  | ) | const
| inline

## ◆ inout()

Names_t & Names_t_var::inout | ( |  | ) |
| inline

## ◆ operator const Names_t &()

Names_t_var::operator const Names_t & | ( |  | ) | const
| inline

## ◆ operator Names_t &()

Names_t_var::operator Names_t & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

Names_t * Names_t_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const Names_t * Names_t_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

Names_t_var & Names_t_var::operator= | ( | const Names_t_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

Names_t_var & Names_t_var::operator= | ( | Names_t * | _s | ) |
| inline

## ◆ operator[]()

_CORBA_String_element Names_t_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

Names_t *& Names_t_var::out | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ Names_t_out

friend class Names_t_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh